Subject: bug#13067: Using `gnus-treat-fill-long-lines': many problems

From: Michael Heerdegen <[email-masked]>
Date: Wed, 26 Dec 2012 17:59:26 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
> > 1.  It doesn't work to use a binding to `gnus-treat-fill-long-lines' as
> > a group paramenter.  It is just ignored.
>
> I tried setting it in a group parameter, and the value seems to be
> respected.  How are you setting it?

I think it only didn't work because of my bad setup (shr-width ==
1000).  Please ignore.

> > 2.  Only a (global) value of t for `gnus-treat-fill-long-lines' has an
> > effect.  Setting it to an integer, which is also allowed according to
> > the documentation, doesn't work for me.
>
> Works for me as demonstrated by `M-x debug-on-entry RET
> gnus-article-fill-cited-long-lines RET'.

Good.  I guess this was also due to my bogus setup.  Please ignore.

> > 3.  If I want the setting to take effect for html messages, which is a
> > IMHO quite common wish, if have to do this:
> >
> >    (push "text/html" gnus-article-treat-types)
>
> Yes, that should probably be on the list.  I've now added it.

Ok - but not sure anymore if this correct.  Normally, the filling is
done by the html renderer, I guess.  Is it now possible that filling is
done twice, maybe with two different line lengths?

Regards,

Michael.